#create as db with one table of (nonce,users) with index on nonces
from utils.wm.messages_long import MESSAGES as MESSAGES_LONG
from utils.wm.nonces_2 import NONCES

from utils.wm.nonce_sql_db import NonceMessageDB as Noncedb

import argparse
parser = argparse.ArgumentParser(description="populate sqlite db")
parser.add_argument("--database_path",type=str,default="./nonceANDmessage.db")


args, unknown_args = parser.parse_known_args()

#create table nonce,uid


print(args)

db = Noncedb(db_path=args.database_path)
db.open_connection()
for nonce, message in zip(NONCES,MESSAGES_LONG):
    db.insert(nonce,message)
